<?php

/**
 * @author Ermek
 * @copyright Hire-Experts LLC
 * @version UserNote 1.01
 */

class he_user_note
{
	function save_note( $viewer_id, $user_id, $note, $admin = false )
	{
		if ( !$user_id || !$note || (!$viewer_id && !$admin) )
		{
			return false;
		}
		
		$query = he_database::placeholder( "SELECT 1 FROM `se_he_user_note` 
			WHERE `viewer_id`=? AND `user_id`=?", $viewer_id, $user_id );
		
		$note_exist = he_database::fetch_field($query);
		
		if ( $note_exist )
		{
			$query = he_database::placeholder( "UPDATE `se_he_user_note` SET `note`='?'
				WHERE `viewer_id`=? AND `user_id`=?", $note, $viewer_id, $user_id );
		}
		else
		{
			$query = he_database::placeholder( "INSERT INTO `se_he_user_note` (`viewer_id`, `user_id`, `note`)
				VALUES(?, ?, '?')", $viewer_id, $user_id, $note );
		}
		
		he_database::query($query);
		
		return nl2br($note);
	}
	
	function delete_note( $viewer_id, $user_id, $admin = false )
	{
		if ( !$user_id || (!$viewer_id && !$admin) )
		{
			return false;
		}
		
		$query = he_database::placeholder( "DELETE FROM `se_he_user_note` 
			WHERE `viewer_id`=? AND `user_id`=?", $viewer_id, $user_id );
		
		he_database::query($query);
		
		return true;
	}
	
	function user_notes( $user_id )
	{
		if ( !$user_id )
		{
			return false;
		}
		
		$query = he_database::placeholder( "SELECT * FROM `se_he_user_note` 
			WHERE `viewer_id`=?", $user_id );
		
		return he_database::fetch_array($query, 'user_id');
	}
	
	function get_note( $viewer_id, $user_id, $admin = false )
	{
		if ( !$user_id || (!$viewer_id && !$admin) )
		{
			return false;
		}
		
		$query = he_database::placeholder( "SELECT * FROM `se_he_user_note` 
			WHERE `viewer_id`=? AND `user_id`=?", $viewer_id, $user_id );
		
		return he_database::fetch_row($query);
	}
}

?>